Skip to navigation

List B2B Users

Returns a paginated list of B2B users with optional filters.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

offsetintegerOptional>=0Defaults to 0
The number of items to skip before starting to collect the result set.
limitintegerOptional1-250Defaults to 10
The maximum number of results to return.
companyIdintegerOptional

If included, filters users in the response based on their Company ID as reported by the Server to Server Companies endpoints.

roleslist of enumsOptional

Filters users according to their assigned role ID. This filter is limited to admin (0), senior buyer (1), and junior buyer (2).

By default, custom roles are treated as junior buyer, but they can be differentiated in the response data by the companyRoleId and companyRoleName fields. For more information, see Company Roles and Permissions.

Allowed values:
minModifiedstringOptional

Filters results by the updatedAt field, returning only those with a Unix timestamp later than minModified.

maxModifiedstringOptional

Filters results by the updatedAt field, returning only those with a Unix timestamp earlier than maxModified.

minCreatedstringOptional

Filters results by the createdAt field, returning only those with a Unix timestamp later than minCreated.

maxCreatedstringOptional

Filters results by the createdAt field, returning only those with a Unix timestamp earlier than maxCreated.

emailstringOptionalformat: "email"
Filters users by email address. This field requires an exact match.
channelIdintegerOptional
Filters users by their assigned BigCommerce channel ID.
isIncludeExtraFieldsenumOptional

Indicates whether to include extra fields in the response. A value of 1 indicates they will be included, while a value of 0 indicates they will not.

Allowed values:
qstringOptional
Search term for filtering on supported fields. Currently, this is email address.

Response

SUCCESS
codeintegerOptionalDefaults to 200
Operation status code.
datalist of objectsOptional
metaobjectOptional

Errors

422
Unprocessable Entity Error